	/************************************************************************************\
	* Expresso Administrao                 										    *
	* by Joao Alfredo Knopik Junior (joao.alfredo@gmail.com, jakjr@celepar.pr.gov.br)   *
	* ----------------------------------------------------------------------------------*
	*  This program is free software; you can redistribute it and/or modify it			*
	*  under the terms of the GNU General Public License as published by the			*
	*  Free Software Foundation; either version 2 of the License, or (at your			*
	*  option) any later version.														*
	\************************************************************************************/

function load_lang(){
	cExecute ('$this/inc/load_lang', handler_load_lang);
}

var global_langs = new Array();

function handler_load_lang(data)
{
	global_langs = eval(data);
}

function get_lang(key_raw)
{
	key = key_raw.replace(/ /g,"_");
	key = key.replace(/-/g,"");
	lang = eval("global_langs."+key.toLowerCase());
	
	if (typeof(lang)=='undefined')
		return key_raw + '*';
	else
		return lang;
}

function emailSuggestion_expressoadmin(use_suggestion_in_logon_script, concatenateDomain)
{
	if (concatenateDomain == 'true')
	{
		// base_dn do LDAP Expresso
		var ldap_context = document.forms[0].ldap_context.value.toLowerCase();
		
		// OU selecionada
		organization_context = document.forms[0].context.value.toLowerCase();
		
		select_orgs = document.getElementById('ea_combo_org_info');
		for(var i=0; i<select_orgs.options.length; i++)
		{
			if(select_orgs.options[i].selected == true)
			{
				var x;
				var context = '';
				
				// OU selecionada
				select_context = select_orgs.options[i].value.toLowerCase();
				
				// Transformar os DN em User Friendly Naming format
				organization_name = organization_context.split(",");
				for (x in organization_name)
				{
					tmp = organization_name[x].split("=");
					context += tmp[1] + '.';
				}
			}
		}
		domain_name = document.forms[0].defaultDomain.value;
	
		// Retira o base_dn do valor do dn e retorna o numero de caracteres.
		x=context.indexOf(ldap_context,0);
		// Obtenho a string, sem o base_dn
		org_name_par = context.substring(0,(x-1));
		// Obtenho o nome da organizao: String entre pontos, anterior ao base_dn
		org_name = org_name_par.split('.');
		org_name = org_name[org_name.length-1];
	
		if (org_name != '')
			document.forms[0].mail1.value = document.forms[0].uid.value + '@' + org_name + '.' + domain_name;
		else
			document.forms[0].mail1.value = document.forms[0].uid.value;
	}
	else
	{
		document.forms[0].mail1.value = document.forms[0].uid.value;
	}
	
	if (use_suggestion_in_logon_script == 'true')
		document.forms[0].sambalogonscript.value = document.forms[0].uid.value+'.bat';
	document.forms[0].sambahomedirectory.value = '/home/'+document.forms[0].uid.value+'/';
}	

function FormataValor(event, campo)
{
	separador1 = '(';
	separador2 = ')';
	separador3 = '-';
		
	vr = campo.value;
	tam = vr.length;

	if ((tam == 1) && (( event.keyCode != 8 ) || ( event.keyCode != 46 )))
		campo.value = '';

	if ((tam == 3) && (( event.keyCode != 8 ) || ( event.keyCode != 46 )))
		campo.value = vr.substr( 0, tam - 1 );
	
	if (( tam <= 1 ) && ( event.keyCode != 8 ) && ( event.keyCode != 46 ))
 		campo.value = separador1 + vr;
		
	if (( tam == 3 ) && ( event.keyCode != 8 ) && ( event.keyCode != 46 ))
		campo.value = vr + separador2;
			
	if (( tam == 8 ) && (( event.keyCode != 8 ) && ( event.keyCode != 46 )))
		campo.value = vr + separador3;

	if ((( tam == 9 ) || ( tam == 8 )) && (( event.keyCode == 8 ) || ( event.keyCode == 46 )))
		campo.value = vr.substr( 0, tam - 1 );
}

function FormataCPF(event, campo)
{
	if (event.keyCode == 8)
		return;
	
	vr = campo.value;
	tam = vr.length;
	
	var RegExp_onlyNumbers = new RegExp("[^0-9.-]+");
	if ( RegExp_onlyNumbers.test(campo.value) )
		campo.value = vr.substr( 0, (tam-1));
	
	if ( (campo.value.length == 3) || (campo.value.length == 7) )
	{
		campo.value += '.';
	}
	
	if (campo.value.length == 11)
		campo.value += '-';
	return;
	
	
	alert(campo.value);
	return;
	
	separador1 = '.';
	separador2 = '-';
		
	vr = campo.value;
	tam = vr.length;

	if ((tam == 1) && (( event.keyCode != 8 ) || ( event.keyCode != 46 )))
		campo.value = '';

	if ((tam == 3) && (( event.keyCode != 8 ) || ( event.keyCode != 46 )))
		campo.value = vr.substr( 0, tam - 1 );
	
	if (( tam <= 1 ) && ( event.keyCode != 8 ) && ( event.keyCode != 46 ))
 		campo.value = separador1 + vr;
		
	if (( tam == 3 ) && ( event.keyCode != 8 ) && ( event.keyCode != 46 ))
		campo.value = vr + separador2;
			
	if (( tam == 8 ) && (( event.keyCode != 8 ) && ( event.keyCode != 46 )))
		campo.value = vr + separador3;

	if ((( tam == 9 ) || ( tam == 8 )) && (( event.keyCode == 8 ) || ( event.keyCode == 46 )))
		campo.value = vr.substr( 0, tam - 1 );
}
load_lang();